# CYapfNodeKeyExitDir Struct Reference

Yapf Node Key that evaluates hash from (and compares) tile & exit dir. More...

`#include <yapf_node.hpp>`

Inherited by CYapfNodeKeyTrackDir.

## Public Member Functions

FORCEINLINE void | Set (TileIndex tile, Trackdir td)
FORCEINLINE int | CalcHash () const
FORCEINLINE bool | operator== (const CYapfNodeKeyExitDir &other) const
void | Dump (DumpTarget &dmp) const

## Data Fields

TileIndex | m_tile
Trackdir | m_td
DiagDirection | m_exitdir

## Detailed Description

Yapf Node Key that evaluates hash from (and compares) tile & exit dir.

Definition at line 9 of file yapf_node.hpp.

The documentation for this struct was generated from the following file:

- src/yapf/yapf_node.hpp